View Issue Details

IDProjectCategoryView StatusLast Update
0003851Slicer4Core: Usabilitypublic2017-08-03 14:36
ReporterfedorovAssigned ToSumedhaSingla 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0003851: Selecting image with NaN in Volumes crashes Slicer
Description

Example image attached

TagsNo tags attached.

Activities

2014-09-20 19:33

 

EPI_snr_w3.nrrd (1,311,123 bytes)
fedorov

fedorov

2014-09-20 19:35

developer   ~0012580

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 libCTKVisualizationVTKWidgets.0.1.dylib 0x000000010264f61c void populateIrregularBins<float>(vtkIntArray, ctkVTKHistogram const) + 364
1 libCTKVisualizationVTKWidgets.0.1.dylib 0x000000010264f143 ctkVTKHistogram::build() + 467
2 libqSlicerVolumesModuleWidgets.dylib 0x000000011e84176e qSlicerScalarVolumeDisplayWidget::setMRMLVolumeNode(vtkMRMLScalarVolumeNode) + 350
3 libqSlicerVolumesModuleWidgets.dylib 0x000000011e8452fa qSlicerVolumeDisplayWidget::setMRMLVolumeNode(vtkMRMLNode
) + 506
4 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void) + 2030
5 libqMRMLWidgets.dylib 0x00000001006324fd qMRMLNodeComboBox::currentNodeChanged(vtkMRMLNode) + 61
6 libqMRMLWidgets.dylib 0x00000001005d7fd1 qMRMLNodeComboBox::emitCurrentNodeChanged() + 65
7 libqMRMLWidgets.dylib 0x00000001006322fb qMRMLNodeComboBox::qt_static_metacall(QObject
, QMetaObject::Call, int, void
) + 731
8 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void) + 2030
9 QtGui 0x00000001096837b8 QComboBoxPrivate::_q_emitCurrentIndexChanged(QModelIndex const&) + 136
10 QtGui 0x0000000109688558 QComboBoxPrivate::setCurrentIndex(QModelIndex const&) + 744
11 QtGui 0x0000000109686fdc QComboBoxPrivate::_q_rowsInserted(QModelIndex const&, int, int) + 316
12 QtGui 0x000000010968cd2c QComboBox::qt_static_metacall(QObject*, QMetaObject::Call, int, void) + 812
13 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void
) + 2030
14 QtCore 0x000000010a156f8f QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) + 63
15 QtCore 0x000000010a0f0054 QAbstractItemModel::endInsertRows() + 84
16 QtGui 0x000000010983797f QSortFilterProxyModelPrivate::insert_source_items(QVector<int>&, QVector<int>&, QVector<int> const&, QModelIndex const&, Qt::Orientation, bool) + 991
17 QtGui 0x00000001098381fc QSortFilterProxyModelPrivate::source_items_inserted(QModelIndex const&, int, int, Qt::Orientation) + 1724
18 QtGui 0x000000010983d482 QSortFilterProxyModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void
) + 658
19 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void) + 2030
20 QtCore 0x000000010a156f8f QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) + 63
21 QtCore 0x000000010a0f0054 QAbstractItemModel::endInsertRows() + 84
22 QtGui 0x0000000109844f58 QStandardItemPrivate::insertRows(int, int, QList<QStandardItem> const&) + 856
23 QtGui 0x00000001098467ed QStandardItem::insertRow(int, QList<QStandardItem
> const&) + 77
24 libqMRMLWidgets.dylib 0x00000001005eae11 qMRMLSceneModel::insertNode(vtkMRMLNode, QStandardItem, int) + 353
25 libqMRMLWidgets.dylib 0x00000001005eac42 qMRMLSceneModel::insertNode(vtkMRMLNode) + 706
26 libqMRMLWidgets.dylib 0x00000001005ea790 qMRMLSceneModel::populateScene() + 80
27 libqMRMLWidgets.dylib 0x00000001005ea5b4 qMRMLSceneModel::updateScene() + 2068
28 libqMRMLWidgets.dylib 0x00000001005e88ff qMRMLSceneModel::setMRMLScene(vtkMRMLScene
) + 63
29 libqMRMLWidgets.dylib 0x00000001005d83ef qMRMLNodeComboBox::setMRMLScene(vtkMRMLScene) + 143
30 libqMRMLWidgets.dylib 0x0000000100632250 qMRMLNodeComboBox::qt_static_metacall(QObject
, QMetaObject::Call, int, void
) + 560
31 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void) + 2030
32 libqSlicerBaseQTGUI.dylib 0x0000000100396bfd qSlicerWidget::mrmlSceneChanged(vtkMRMLScene) + 61
33 libqSlicerBaseQTCore.dylib 0x0000000102aa6709 qSlicerAbstractCoreModule::createNewWidgetRepresentation() + 73
34 libqSlicerBaseQTCore.dylib 0x0000000102aa66a8 qSlicerAbstractCoreModule::widgetRepresentation() + 24
35 libqSlicerBaseQTGUI.dylib 0x0000000100345d62 qSlicerModulePanel::addModule(qSlicerAbstractCoreModule
) + 34
36 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void
) + 2030
37 libqSlicerBaseQTGUI.dylib 0x0000000100395235 qSlicerModuleSelectorToolBar::moduleSelected(QString const&) + 53
38 libqSlicerBaseQTGUI.dylib 0x0000000100349701 qSlicerModuleSelectorToolBar::actionSelected(QAction) + 1505
39 libqSlicerBaseQTGUI.dylib 0x00000001003951b4 qSlicerModuleSelectorToolBar::qt_static_metacall(QObject
, QMetaObject::Call, int, void) + 148
40 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void
) + 2030
41 libqSlicerBaseQTGUI.dylib 0x0000000100394e15 qSlicerModulesMenu::currentModuleChanged(QString const&) + 53
42 libqSlicerBaseQTGUI.dylib 0x0000000100345249 qSlicerModulesMenu::actionSelected(QAction) + 121
43 libqSlicerBaseQTGUI.dylib 0x0000000100394d96 qSlicerModulesMenu::qt_static_metacall(QObject
, QMetaObject::Call, int, void) + 134
44 QtCore 0x000000010a10f2ae QMetaObject::activate(QObject, QMetaObject const, int, void
) + 2030
45 QtGui 0x0000000109320887 QAction::activate(QAction::ActionEvent) + 151
46 QtGui 0x000000010966e5ed QAbstractButtonPrivate::click() + 141
47 QtGui 0x000000010966f339 QAbstractButton::mouseReleaseEvent(QMouseEvent) + 89
48 QtGui 0x000000010972bcbf QToolButton::mouseReleaseEvent(QMouseEvent
) + 15
49 QtGui 0x00000001093721d4 QWidget::event(QEvent) + 308
50 QtGui 0x000000010966f25d QAbstractButton::event(QEvent
) + 205
51 QtGui 0x000000010972c079 QToolButton::event(QEvent) + 169
52 QtGui 0x0000000109329128 QApplicationPrivate::notify_helper(QObject
, QEvent) + 264
53 QtGui 0x000000010932ae5f QApplication::notify(QObject
, QEvent) + 2847
54 libqSlicerBaseQTGUI.dylib 0x0000000100324d43 qSlicerApplication::notify(QObject
, QEvent) + 19
55 QtCore 0x000000010a0f8cb3 QCoreApplication::notifyInternal(QObject
, QEvent) + 99
56 QtGui 0x0000000109329a5c QApplicationPrivate::sendMouseEvent(QWidget
, QMouseEvent, QWidget, QWidget*, QWidget*, QPointer<QWidget>&, bool) + 444
57 QtGui 0x00000001092da136 qt_mac_handleMouseEvent(NSEvent
, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1030
58 com.apple.AppKit 0x00007fff898f4145 -[NSWindow sendEvent:] + 781
59 QtGui 0x00000001092d1882 -[QCocoaWindow sendEvent:] + 114
60 com.apple.AppKit 0x00007fff898955d4 -[NSApplication sendEvent:] + 2021
61 QtGui 0x00000001092d6662 -[QNSApplication sendEvent:] + 82
62 com.apple.AppKit 0x00007fff896e59f9 -[NSApplication run] + 646
63 QtGui 0x00000001092df1a2 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 994
64 QtCore 0x000000010a0f6157 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 487
65 QtCore 0x000000010a0f91de QCoreApplication::exec() + 206
66 0x0000000100030756 main + 6646
67 0x000000010002ed54 start + 52

SumedhaSingla

SumedhaSingla

2016-06-01 14:52

developer   ~0013921

Tested the issue on Slicer 4.5.0-2016-05-31.
The issue is not reproducible. Added a test to the Volumes module to test the volume for NaN. Refer to the commit: 4dc4b7e64b9679594bfeae12f3d8087f96520c7d

Also verified the issue in Slicer release version: Slicer 4.4.0 r23774. Slicer was crashing there with the sample volume file.

jcfr

jcfr

2017-08-03 14:36

administrator   ~0015007

Fixed in r26195
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26195 and https://github.com/Slicer/Slicer/pull/516

Issue History

Date Modified Username Field Change
2014-09-20 19:33 fedorov New Issue
2014-09-20 19:33 fedorov Status new => assigned
2014-09-20 19:33 fedorov Assigned To => pieper
2014-09-20 19:33 fedorov File Added: EPI_snr_w3.nrrd
2014-09-20 19:34 fedorov Assigned To pieper => jcfr
2014-09-20 19:35 fedorov Note Added: 0012580
2015-11-12 15:18 jcfr Target Version => Slicer 4.5.1
2016-06-01 11:45 SumedhaSingla Assigned To jcfr => SumedhaSingla
2016-06-01 14:52 SumedhaSingla Note Added: 0013921
2016-10-12 02:56 jcfr Target Version Slicer 4.5.1 => Slicer 4.7.0
2017-08-03 14:36 jcfr Status assigned => resolved
2017-08-03 14:36 jcfr Resolution open => fixed
2017-08-03 14:36 jcfr Note Added: 0015007
2017-08-03 14:36 jcfr Fixed in Version => Slicer 4.7.0